geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jason Warner <jaw...@gmail.com>
Subject Re: DEVTOOLS trunk build failed
Date Mon, 20 Apr 2009 12:14:36 GMT
Why not open a jira for this and then attach a patch?  That would make it
much easier to apply the change.  Thanks for looking into this!

On Mon, Apr 20, 2009 at 5:34 AM, Delos <daition@gmail.com> wrote:

> Hi,
>
> Devtools trunk build failed in org.apache.geronimo.runtime.v21 plugin. The
> reason is some 2.1.4-snapshot package still exist in the Manifest.MF. Since
> 2.1.4 has released, all the "snapshot" can be removed. Then, devtools trunk
> can be successfully.
>
> Here is the change of Manifest.mf in org.apache.geronimo.runtime.v21:
>
>
> change
>
>
> "Bundle-ClassPath: lib/geronimo-common-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-deploy-jsr88-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-deployment-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-j2ee-schema-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-kernel-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-plugin-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-system-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-util-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-deploy-config-2.1.4-SNAPSHOT.jar,
>  lib/geronimo-javaee-deployment_1.1MR3_spec-1.0.jar,
>  lib/plexus-archiver-1.0-alpha-7.jar,
>  lib/geronimo-crypto-2.1.4-SNAPSHOT.jar,
>  lib/slf4j-api-1.4.3.jar,
>  lib/slf4j-simple-1.4.3.jar"
>
> into
>
> "
> Bundle-ClassPath: lib/geronimo-common-2.1.4.jar,
>  lib/geronimo-deploy-jsr88-2.1.4.jar,
>  lib/geronimo-deployment-2.1.4.jar,
>  lib/geronimo-j2ee-schema-2.1.4.jar,
>  lib/geronimo-kernel-2.1.4.jar,
>  lib/geronimo-plugin-2.1.4.jar,
>  lib/geronimo-system-2.1.4.jar,
>  lib/geronimo-util-2.1.4.jar,
>  lib/geronimo-deploy-config-2.1.4.jar,
>  lib/geronimo-javaee-deployment_1.1MR3_spec-1.0.jar,
>  lib/plexus-archiver-1.0-alpha-7.jar,
>  lib/geronimo-crypto-2.1.4.jar,
>  lib/slf4j-api-1.4.3.jar,
>  lib/slf4j-simple-1.4.3.jar
> "
>
> Thanks!
>
>
>
>


-- 
~Jason Warner

Mime
View raw message